• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

can we using syntax of jdk1.4 in jdk1.5 ?

 
Nakata kokuyo
Ranch Hand
Posts: 472
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
hi, good day, if i code in style and syntax of jdk1.4, is it possible it can run in jdk1.5 ? any limitation on compatibility between 2 version?
thanks for guidance
 
Surendra Kumar
Ranch Hand
Posts: 236
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Yes, you can do that.
1.5 is compatible with 1.4.
 
Barry Gaunt
Ranch Hand
Posts: 7729
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
However, you may get some warning messages, especially related to Collections. But these warnings can be suppressed by suitable use of special Annotations.
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic